# generic_pen< T, AT >::difference_type Struct Reference

`#include <_pen.h>`

List of all members.

## Public Types

typedef int | value_type

## Public Member Functions

| difference_type (value_type x, value_type y)
value_type & | operator[] (int i) const

## Public Attributes

value_type | x
value_type | y

## Detailed Description

### template<typename T, typename AT = T>
struct generic_pen< T, AT >::difference_type

Definition at line 132 of file _pen.h.

## Member Typedef Documentation

template<typename T, typename AT = T>

typedef int generic_pen< T, AT >::difference_type::value_type

Definition at line 134 of file _pen.h.

## Constructor & Destructor Documentation

template<typename T, typename AT = T>

generic_pen< T, AT >::difference_type::difference_type | ( | value_type | x,
|  | value_type | y |
| ) |  |  | `[inline]`

Definition at line 136 of file _pen.h.

## Member Function Documentation

template<typename T, typename AT = T>

value_type& generic_pen< T, AT >::difference_type::operator[] | ( | int | i | ) | const`[inline]`

Definition at line 137 of file _pen.h.

References generic_pen< T, AT >::difference_type::x, and generic_pen< T, AT >::difference_type::y.

## Member Data Documentation

template<typename T, typename AT = T>

value_type generic_pen< T, AT >::difference_type::x

Definition at line 135 of file _pen.h.

Referenced by generic_pen< T, AT >::operator+(), and generic_pen< T, AT >::difference_type::operator[]().

template<typename T, typename AT = T>

value_type generic_pen< T, AT >::difference_type::y

Definition at line 135 of file _pen.h.

Referenced by generic_pen< T, AT >::operator+(), and generic_pen< T, AT >::difference_type::operator[]().

The documentation for this struct was generated from the following file:

- _pen.h